Debian Bug report logs - #546504
bash: needs to Pre-Depend on dash

version graph

Package: bash; Maintainer for bash is Matthias Klose <doko@debian.org>; Source for bash is src:bash.

Reported by: Sven Joachim <svenjoac@gmx.de>

Date: Sun, 13 Sep 2009 18:45:01 UTC

Severity: critical

Found in version bash/4.0-5

Fixed in version bash/4.0-6

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, svenjoac@gmx.de, Matthias Klose <doko@debian.org>:
Bug#546504; Package bash. (Sun, 13 Sep 2009 18:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
New Bug report received and forwarded. Copy sent to svenjoac@gmx.de, Matthias Klose <doko@debian.org>. (Sun, 13 Sep 2009 18:45:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bash: needs to Pre-Depend on dash
Date: Sun, 13 Sep 2009 20:34:38 +0200
Package: bash
Version: 4.0-5
Severity: critical

The dependency of bash on dash needs to be turned into a pre-dependency,
else bash might be unpacked before dash, losing the /bin/sh symlink in
the process.  Among other things, this would make it impossible to
unpack dash, because dash's preinst is a /bin/sh script...


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.30.6-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages bash depends on:
ii  base-files                5.0.0          Debian base system miscellaneous f
ii  dash                      0.5.5.1-2.3    POSIX-compliant shell
ii  debianutils               3.2.1          Miscellaneous utilities specific t
ii  libc6                     2.9-26         GNU C Library: Shared libraries
ii  libncurses5               5.7+20090912-1 shared libraries for terminal hand

Versions of packages bash recommends:
ii  bash-completion               1:1.0-3    programmable completion for the ba

Versions of packages bash suggests:
ii  bash-doc                      4.0-5      Documentation and examples for the

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#546504; Package bash. (Sun, 13 Sep 2009 20:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. (Sun, 13 Sep 2009 20:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 546504@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Sven Joachim <svenjoac@gmx.de>, 546504@bugs.debian.org
Cc: Debian Bug Tracking System <control@bugs.debian.org>
Subject: Re: Bug#546504: bash: needs to Pre-Depend on dash
Date: Sun, 13 Sep 2009 22:39:40 +0200
clone 546504 -1
reassign -1 dash
thanks

On 13.09.2009 20:34, Sven Joachim wrote:
> Package: bash
> Version: 4.0-5
> Severity: critical
>
> The dependency of bash on dash needs to be turned into a pre-dependency,
> else bash might be unpacked before dash, losing the /bin/sh symlink in
> the process.  Among other things, this would make it impossible to
> unpack dash, because dash's preinst is a /bin/sh script...

changing that to a pre-dependency, but dash's preinst shouldn't rely on /bin/sh. 
bash's preinst is a C binary for that reason.




Bug 546504 cloned as bug 546528. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Sun, 13 Sep 2009 20:42:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#546504; Package bash. (Sun, 13 Sep 2009 20:51:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Sun, 13 Sep 2009 20:51:11 GMT) Full text and rfc822 format available.

Message #17 received at 546504@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: 546504@bugs.debian.org
Subject: ls: cannot access /bin/sh: No such file or directory
Date: Mon, 14 Sep 2009 04:47:18 +0800
$ ls /bin/sh
ls: cannot access /bin/sh: No such file or directory




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#546504; Package bash. (Sun, 13 Sep 2009 20:51:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Sun, 13 Sep 2009 20:51:13 GMT) Full text and rfc822 format available.

Message #22 received at 546504@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: 546504@bugs.debian.org
Subject: ls: cannot access /bin/sh: No such file or directory
Date: Mon, 14 Sep 2009 04:49:43 +0800
All I know is I did
[UPGRADE] bash 4.0-4 -> 4.0-5
[UPGRADE] bash-doc 4.0-4 -> 4.0-5
no dash involved, and then
$ ls /bin/sh
ls: cannot access /bin/sh: No such file or directory




Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Sun, 13 Sep 2009 21:28:13 GMT) Full text and rfc822 format available.

Notification sent to Sven Joachim <svenjoac@gmx.de>:
Bug acknowledged by developer. (Sun, 13 Sep 2009 21:28:13 GMT) Full text and rfc822 format available.

Message #27 received at 546504-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 546504-close@bugs.debian.org
Subject: Bug#546504: fixed in bash 4.0-6
Date: Sun, 13 Sep 2009 21:02:14 +0000
Source: bash
Source-Version: 4.0-6

We believe that the bug you reported is fixed in the latest version of
bash, which is due to be installed in the Debian FTP archive:

bash-builtins_4.0-6_i386.deb
  to pool/main/b/bash/bash-builtins_4.0-6_i386.deb
bash-doc_4.0-6_all.deb
  to pool/main/b/bash/bash-doc_4.0-6_all.deb
bash-minimal_4.0-6_i386.deb
  to pool/main/b/bash/bash-minimal_4.0-6_i386.deb
bash-static_4.0-6_i386.deb
  to pool/main/b/bash/bash-static_4.0-6_i386.deb
bash_4.0-6.diff.gz
  to pool/main/b/bash/bash_4.0-6.diff.gz
bash_4.0-6.dsc
  to pool/main/b/bash/bash_4.0-6.dsc
bash_4.0-6_i386.deb
  to pool/main/b/bash/bash_4.0-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 546504@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated bash package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 13 Sep 2009 13:35:38 +0200
Source: bash
Binary: bash bash-minimal bash-static bash-builtins bash-doc bashdb
Architecture: source all i386
Version: 4.0-6
Distribution: unstable
Urgency: medium
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 bash       - The GNU Bourne Again SHell
 bash-builtins - Bash loadable builtins - headers & examples
 bash-doc   - Documentation and examples for the The GNU Bourne Again SHell
 bash-minimal - The GNU Bourne Again SHell (minimal version)
 bash-static - The GNU Bourne Again SHell (static version)
 bashdb     - The GNU Bourne Again SHell Debugger
Closes: 546377 546381 546504 546516 546518
Changes: 
 bash (4.0-6) unstable; urgency=medium
 .
   * Pre-depend on dash, instead of just depending on it.
     Closes: #546504, #546516, #546518.
   * Update and set homepage attribute. Closes: #546377, #546381.
Checksums-Sha1: 
 6100edb92ca63071dd2fab4e554d4fc870cc0eea 1182 bash_4.0-6.dsc
 c8a8f02708c95066507c850f8d0c0854b5d6ec8b 100605 bash_4.0-6.diff.gz
 5f64e089c5ccec26d8097a750839da230e3b3a9c 312312 bash-doc_4.0-6_all.deb
 d4ec29f013cc33ad4e43aec629c7961cd0a30ee9 1097748 bash_4.0-6_i386.deb
 ade80b1e501fbe37f4db49b277c6e08d0e687bf8 107074 bash-builtins_4.0-6_i386.deb
 f4fb5743b4a28f51cf762749ff9c5f1f32b1841b 775696 bash-static_4.0-6_i386.deb
 799cc50f83ea094e26abf2fa7c77a5b892a749b1 223488 bash-minimal_4.0-6_i386.deb
Checksums-Sha256: 
 97c449e4e4fb5d712c03787089435e928b42db5b1b8824fa759965799d7c8cf6 1182 bash_4.0-6.dsc
 7ae03f85b9cce0e5f06f90e075590884cfd31f9b9508ef26a0c1d2d6c3ad378e 100605 bash_4.0-6.diff.gz
 821f960958ad79140b29fbae8764419644ba92c0015c1efd2ec0deaca5eb0752 312312 bash-doc_4.0-6_all.deb
 c5d94a1c35155ae288b5bd59afc877d1a06863a98a4fc4623246e1a0d65137e0 1097748 bash_4.0-6_i386.deb
 7526c2ea4b331885c10b95a28ed9578f4591883a024c662894ee7e6d245195a0 107074 bash-builtins_4.0-6_i386.deb
 c081eb14730f0f1cc675d47d5ccd6cb0ec9fce06f56210afc26558d9f35e5277 775696 bash-static_4.0-6_i386.deb
 d4125aac4ee5fe0743fb13d76f92bf1722a023e392f3feb67aa452694d8b92eb 223488 bash-minimal_4.0-6_i386.deb
Files: 
 808fa1c0088884e0ff308eae05e9e9a8 1182 base required bash_4.0-6.dsc
 411ae734e7533a1ac49401b5203fcbdd 100605 base required bash_4.0-6.diff.gz
 5514c6ad09a589ec582b3ea867720b82 312312 doc optional bash-doc_4.0-6_all.deb
 fc22fe15432cf7b2ad8299bc8ebb3500 1097748 shells required bash_4.0-6_i386.deb
 c765abe574d7d1e1691eee604edce845 107074 utils optional bash-builtins_4.0-6_i386.deb
 df0bd801b2879a4abc331794bd924ac0 775696 shells optional bash-static_4.0-6_i386.deb
 f3b0245778afe19cdafbae550c46554f 223488 shells optional bash-minimal_4.0-6_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqtWwEACgkQStlRaw+TLJyuSACgn3xfmoVMcsd0TGsTJOoI9e0q
rnoAoLlWkT9EpVLuHfu/AEFsit53t1l5
=Qc1j
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#546504; Package bash. (Tue, 22 Sep 2009 10:09:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>, Sven Joachim <svenjoac@gmx.de>, 546504@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Tue, 22 Sep 2009 10:09:15 GMT) Full text and rfc822 format available.

Message #32 received at 546504@bugs.debian.org (full text, mbox):

From: Gerrit Pape <pape@smarden.org>
To: Matthias Klose <doko@debian.org>
Cc: Sven Joachim <svenjoac@gmx.de>, 546504@bugs.debian.org
Subject: Re: Bug#546504: bash: needs to Pre-Depend on dash
Date: Tue, 22 Sep 2009 09:51:41 +0000
On Sun, Sep 13, 2009 at 10:39:40PM +0200, Matthias Klose wrote:
> On 13.09.2009 20:34, Sven Joachim wrote:
> >The dependency of bash on dash needs to be turned into a pre-dependency,
> >else bash might be unpacked before dash, losing the /bin/sh symlink in
> >the process.  Among other things, this would make it impossible to
> >unpack dash, because dash's preinst is a /bin/sh script...
> 
> changing that to a pre-dependency, but dash's preinst shouldn't rely on 
> /bin/sh. bash's preinst is a C binary for that reason.

I'll make it a C binary as soon as the new preinst is settled.

Thanks, Gerrit.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 21 Oct 2009 07:28:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:42:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.